# image-color-tool

图片处理工具

[https://gitee.com/wongest/image-color-tool](https://gitee.com/wongest/image-color-tool)

[![npm (scoped)](https://img.shields.io/badge/image--color--tool-1.1.6-blue)](https://gitee.com/wongest/image-color-tool) ![npm (scoped)](https://img.shields.io/badge/minified-4B-blue)

## Install

```
$ npm i image-color-tool
```

## Usage

```js
import { getImageColor, compress } from 'image-color-tool';

// 获取图片的主题颜色
getImageColor(url)
    .then(rgb => {
    console.log(rgb)
  }, err => {
    console.log(err)
  })

// 压缩图片尺寸
compress(url, scale)
  .then(base64 => {
    console.log(base64)
  }, err => {
    console.log(err)
  })

```
